subversion-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Philip Martin <philip.mar...@wandisco.com>
Subject Re: Autogen and Configure Error - libtool
Date Wed, 02 Apr 2014 09:41:35 GMT
Nathan Royce <naroyce@hotmail.com> writes:

> "configure: error: cannot run /bin/sh build/config.sub"Steps:First Attempt:$ svn co http://svn.apache.org/repos/asf/subversion/trunk
subversion$ ./autogen.shbuildcheck: checking installation...buildcheck: autoconf version 2.69.117-1717
(ok)buildcheck: autoheader version 2.69.117-1717 (ok)buildcheck: libtool version 2.4.2.444.28
(ok)Copying libtool helper: /cross-tools/share/aclocal/libtool.m4Copying libtool helper: /cross-tools/share/aclocal/ltoptions.m4Copying
libtool helper: /cross-tools/share/aclocal/ltsugar.m4Copying libtool helper: /cross-tools/share/aclocal/ltversion.m4Copying
libtool helper: /cross-tools/share/aclocal/lt~obsolete.m4./autogen.sh: 1: cd: can't cd to
/cross-tools/bin/../share/libtool/config/home/user/Desktop/subversion/config.guess not found
(try setting the LIBTOOL_CONFIG environment variable)
> Second Attempt:$ LIBTOOL_CONFIG=/cross-tools/bin/libtool ./autogen.sh$ ./configureconfigure:
Configuring Subversion 1.9.0configure: creating config.nicechecking for gcc... gccchecking
whether the C compiler works... yeschecking for C compiler default output file name... a.outchecking
for suffix of executables... checking whether we are cross compiling... nochecking for suffix
of object files... ochecking whether we are using the GNU C compiler... yeschecking whether
gcc accepts -g... yeschecking for gcc option to enable C11 features... -std=gnu11checking
if gcc -std=gnu11 accepts -std=c90... yeschecking if gcc -std=gnu11 accepts -w... yeschecking
if gcc -std=gnu11 accepts -Werror=unknown-warning-option... nochecking for g++... g++checking
whether we are using the GNU C++ compiler... yeschecking whether g++ accepts -g... yeschecking
for g++ option to enable C++11 features... -std=gnu++11checking if g++ -std=gnu++11 accepts
-std=c++98... yeschecking if g++ -std=gnu++11 accepts -w... yeschecking if g++ -std=gnu++11
accepts -Werror=unknown-warning-option... nochecking how to run the C preprocessor... gcc
-std=gnu11 -Echecking for a sed that does not truncate output... /bin/sedconfigure: error:
cannot run /bin/sh build/config.sub
> "configure:5076: error: cannot run /bin/sh build/config.sub"
> "# Grab target_cpu, so we can use it in the Solaris pkginfo file# Make sure we can run
config.sub.$SHELL "$ac_aux_dir/config.sub" sun4 >/dev/null 2>&1 ||  as_fn_error
$? "cannot run $SHELL $ac_aux_dir/config.sub" "$LINENO" 5"
> $ /bin/bash ./build/config.sub sun4Usage: /home/user/Desktop/subversion/build/config.sub
[OPTION]... [MODE-ARG]...Try 'config.sub --help' for more information.config.sub:   error:
you must specify a MODE
> It's odd because the same compiling method's worked with other programs like Cloog.

Your mail program appears to be joining the individual lines making it
very hard to read :-(

You don't say what platform you are using, what shell you are using, or
which version of Subversion you are trying to build.  I do see 1.9.0,
are you trying to build the 1.9.0-alpha2 tarball?  In that case you
should not run ./autogen.sh, you should go straight to ./configure.

You are using /cross-tools/bin/libtool but I also see configure
reporting "cross compiling... no".  Are you attempting to cross-compile
Subversion?

-- 
Philip Martin | Subversion Committer
WANdisco // *Non-Stop Data*

Mime
View raw message